Page MenuHomePhabricator

After clearing paragraph, cannot add link by selecting text and clicking on source link
Closed, ResolvedPublic

Description

Steps to Reproduce:

  1. Start translation between any language and title.
  2. Translate a section by just cliking on section.
  3. Press 'Clear translation' to get an empty section.
  4. Type something, select it, and click on any link in the source section in order to make the selection into a link.

Expected Result: The selected text becomes a link.
Actual Result: The selected text is plain text, not a link.

Event Timeline

santhosh claimed this task.
santhosh raised the priority of this task from to Medium.
santhosh updated the task description. (Show Details)
santhosh moved this task to Backlog on the LE-Sprint-81 board.
santhosh added a subscriber: santhosh.

Change 184319 had a related patch set uploaded (by Santhosh):
Allow creating links in a cleared section

https://gerrit.wikimedia.org/r/184319

Patch-For-Review

santhosh moved this task from Backlog to In Review on the LE-Sprint-81 board.Jan 12 2015, 10:57 AM

Change 184319 merged by jenkins-bot:
Allow creating links in a cleared section

https://gerrit.wikimedia.org/r/184319

Arrbee raised the priority of this task from Medium to High.Jan 12 2015, 2:40 PM
Arrbee moved this task from In Review to Done on the LE-Sprint-81 board.
Arrbee closed this task as Resolved.Jan 13 2015, 2:12 PM
Arrbee added a subscriber: Arrbee.
RandomDSdevel updated the task description. (Show Details)Mar 2 2015, 8:46 PM
RandomDSdevel set Security to None.
RandomDSdevel awarded a token.